Skip to content
WP Engine Documentation

List archives for a WordPress installation

GET
/installs/{install_id}/archives
curl --request GET \
--url 'https://api.wpengineapi.com/v1/installs/example/archives?limit=100&offset=0' \
--header 'Authorization: Basic <credentials>'

Retrieves a paginated list of archives for a WordPress installation. Archives create downloadable zip files from backups.

install_id
required
string format: uuid

ID of install

limit
integer
default: 100 <= 100

(Optional) The number of records to return

offset
integer
0

(Optional) The first record of the result set to be retrieved

List of archives

Media type application/json
object
previous

Path to the previous page of results

string
next

Path to the next page of results

string
count

The total number of results

integer
results
Array<object>
object
id
required

Unique identifier for the archive

string format: uuid
backup
required
object
id

Unique identifier of the backup this archive was created from

string format: uuid
notification_emails

Email addresses that will receive notifications about the archive operation

Array<string>
state
required

Current state of the archive operation

string
Allowed values: requested in_progress completed aborted
create_time

Timestamp when the archive was created

string format: date-time
start_time

Timestamp when the archive operation started

string format: date-time
complete_time

Timestamp when the archive operation completed. This field is only populated when state is completed

string format: date-time
abort_time

Timestamp when the archive operation was aborted. This field is only populated when state is aborted

string format: date-time
download_uri

Download URL for the completed archive. This field is only populated when state is completed

string format: uri
Example
{
"previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0",
"next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200",
"count": 225,
"results": [
{
"id": "a6d86d4b-0860-4e2c-870b-0aae34ecf085",
"backup": {
"id": "ac237e1c-3182-4c15-9a3f-6d58a57cbb44"
},
"state": "requested"
}
]
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal server error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable

Media type application/json